import { Renderer } from './renderer';
import { DataRenderOptions, StyleDefaults, TextRenderOptions } from './data_styles';
import { RendererFactory } from './renderer_factory';
import { RendererOptions } from './renderer_types';
import { Cell, Field } from '../data_tree';
export declare class HTMLTextRenderer implements Renderer {
    private readonly document;
    constructor(document: Document);
    getText(data: Cell): string | null;
    render(data: Cell): Promise<HTMLElement>;
}
export declare class TextRendererFactory extends RendererFactory<TextRenderOptions> {
    static readonly instance: TextRendererFactory;
    activates(field: Field): boolean;
    create(document: Document, _styleDefaults: StyleDefaults, _rendererOptions: RendererOptions, _field: Field, _options: DataRenderOptions): Renderer;
    get rendererName(): undefined;
}
